Name:           StarCluster
Version:        0.9999
Release:        0.4.0.94%{?dist}
Summary:        Tool for managing computing clusters hosted on Amazon's EC2

# Core of StarCluster is LGPLv3
# sshutils/scp.py and progressbar.py are LGPLv2+
# Jquery is both (MIT or BSD or GPLv2) and (MIT or GPLv2)
License:        LGPLv3 and LGPLv2+ and (MIT or BSD or GPLv2) and (MIT or GPLv2)
URL:            http://star.mit.edu/cluster
Source0:        https://pypi.python.org/packages/source/S/StarCluster/StarCluster-0.94.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
# For docs
BuildRequires:  python-sphinx
# For tests
BuildRequires:  python-nose-progressive
BuildRequires:  python-boto >= 2.9.8
BuildRequires:  python-decorator >= 3.4.0
BuildRequires:  python-iptools >= 0.6.1
BuildRequires:  python-jinja2 >= 2.7
BuildRequires:  python-optcomplete >= 1.2
BuildRequires:  python-pyasn1 >= 0.1.7
BuildRequires:  python-paramiko >= 1.10.1
BuildRequires:  python-workerpool >= 0.9.2
Requires:       python-boto >= 2.9.8
Requires:       python-decorator >= 3.4.0
Requires:       python-iptools >= 0.6.1
Requires:       python-jinja2 >= 2.7
Requires:       python-optcomplete >= 1.2
Requires:       python-pyasn1 >= 0.1.7
Requires:       python-paramiko >= 1.10.1
Requires:       python-workerpool >= 0.9.2

%description
StarCluster is an open source cluster-computing toolkit for Amazon’s Elastic
Compute Cloud (EC2).

StarCluster has been designed to automate and simplify the process of
building, configuring, and managing clusters of virtual machines on Amazon’s
EC2 cloud. StarCluster allows anyone to easily create a cluster computing
environment in the cloud suited for distributed and parallel computing
applications and systems. 


%package doc
Summary:        Documentation for %{name}
# Neuton-webfont is ASL 2.0
# Jquery is both (MIT or BSD or GPLv2) and (MIT or GPLv2)
# Docs seem to be under same license as core module (LGPLv3)
# *.css files are BSD
License:        LGPLv3 and BSD and ASL 2.0 and (MIT or BSD or GPLv2) and (MIT or GPLv2)
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
%setup -q -n %{name}-0.94
# Remove egg-info
rm -rf %{name}.egg-info


%build
%{__python} setup.py build
cd docs/sphinx
make html
# Remove empty file
rm _build/html/.buildinfo


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%check
%{__python} setup.py test

 
%files
%doc Changelog COPYING COPYING.LESSER README.rst
%{_bindir}/starcluster
%{python_sitelib}/*

%files doc
%doc docs/sphinx/_build/html


%changelog
* Thu Jul 25 2013 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.4.0.94
- Update to 0.94 - version hack for now

* Fri Jun 28 2013 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.3.git6560296
- Update to latest git, bump requirements
- Iptools no longer bundled

* Thu May 9 2013 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.2.git4c374a4
- Add %%check
- Fix iptools usage

* Thu May 9 2013 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.1.git4c374a4
- Update to latest git, uses python-paramiko instead of python-ssh
- Drop requires patch
- Specify versioned requires

* Wed May 8 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-6
- Fix doc package requires

* Mon May 6 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-5
- Drop buildroot cleanup
- Remove empty .buildinfo file

* Mon May 6 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-4
- Final license

* Fri May 3 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-3
- Make doc depend on main package
- Remove shipped egg-info

* Thu May 2 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-2
- Fix up requires
- Build docs, separate package

* Sun Apr 7 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-1
- Initial Fedora package
